package com.liang.service;

import com.liang.entity.PrjContract;
import com.liang.entity.PrjContractXg;

/**
 * (PrjContractXg)表服务接口
 */
public interface PrjContractXgService {
    int insert(PrjContract prjContract);

    int updateSpzt(PrjContract prjContract);

    PrjContractXg queryByhtId(Integer id);

    void deldteById(Integer id);

    void doUpdate(Integer xmid);

    /**
     * 合同状态回退
     * @param prjContractXg
     * @return
     */
    int updateHtht(PrjContractXg prjContractXg);
}
